/*
 * Licensed Materials - Use restricted. For use in compiling interfaces to
 * IBM Rational TestManager.
 * (c) Copyright IBM Corporation 2001,2002,2006.  All Rights Reserved.
 */

#if !defined __CUSTOMRECORDINGADAPTERSTUB_INCLUDED
#define __CUSTOMRECORDINGADAPTERSTUB_INCLUDED

#ifdef MAKE_A_DLL
#define LINKDLL __declspec( dllexport)
#else
#define LINKDLL __declspec( dllimport)
#endif

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//#ifndef __AFXWIN_H__
//	#error include 'stdafx.h' before including this file for PCH
//#endif

#include "resource.h"		// main symbols

#include "ExtDefs.h"

extern "C" BOOL LINKDLL IsCustomRecorderAdapter();

extern "C" int LINKDLL GetDisplayName(TCHAR* name, 
                                      size_t nameSize);

extern "C" int LINKDLL GetOptions(TCHAR* options, 
                                  size_t optionsSize);

extern "C" int LINKDLL SetOptions(TCHAR* options, 
                                  size_t optionsSize,
                                  TCHAR* errorMessage,
                                  size_t errorMessageSize);

extern "C" int LINKDLL DisplayCustomConfigGUI(TCHAR* errorMessage,
                                              size_t errorMessageSize);

extern "C" int LINKDLL InitializeRecorder(TCHAR* errorMessage, 
                                          size_t errorMessageSize);

extern "C" int LINKDLL StartRecording(TCHAR* pathname,
                                      size_t pathnameSize,
                                      StatusCallbackPtr fPtr,
                                      TCHAR* errorMessage,
                                      size_t errorMessageSize);

extern "C" int LINKDLL StopRecording(TCHAR* errorMessage,
                                     size_t errorMessageSize);

#define RSR_EXT_STUB_SILENT "RSR_EXT_STUB_SILENT"

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined __CUSTOMRECORDINGADAPTERSTUB_INCLUDED

